GDB (xrefs)

Public Attributes | List of all members
lazy_string_smob Struct Reference

## Public Attributes
gdb_smob | base
CORE_ADDR | address
char * | encoding
int | length
SCM | type

## Detailed Description

Definition at line 32 of file scm-lazy-string.c.

## Member Data Documentation

## ◆ address

CORE_ADDR lazy_string_smob::address

Definition at line 38 of file scm-lazy-string.c.

Referenced by gdbscm_lazy_string_address(), lsscm_make_lazy_string_smob(), lsscm_print_lazy_string_smob(), lsscm_safe_lazy_string_to_value(), and lsscm_val_print_lazy_string().

## ◆ base

gdb_smob lazy_string_smob::base

Definition at line 35 of file scm-lazy-string.c.

## ◆ encoding

char* lazy_string_smob::encoding

Definition at line 45 of file scm-lazy-string.c.

Referenced by gdbscm_lazy_string_encoding(), lsscm_free_lazy_string_smob(), lsscm_make_lazy_string_smob(), lsscm_print_lazy_string_smob(), and lsscm_val_print_lazy_string().

## ◆ length

int lazy_string_smob::length

Definition at line 52 of file scm-lazy-string.c.

Referenced by gdbscm_lazy_string_length(), lsscm_make_lazy_string_smob(), lsscm_print_lazy_string_smob(), lsscm_safe_lazy_string_to_value(), and lsscm_val_print_lazy_string().

## ◆ type

SCM lazy_string_smob::type

Definition at line 60 of file scm-lazy-string.c.

Referenced by gdbscm_lazy_string_type(), lsscm_elt_type(), lsscm_make_lazy_string_smob(), and lsscm_safe_lazy_string_to_value().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/guile/scm-lazy-string.c